# Uses of Interface
org.eclipse.jdt.core.IMethod

Packages that use IMethod
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.core.refactoring.descriptors
Application programming interface to access Java refactorings provided by JDT.
org.eclipse.jdt.core.refactoring.participants
Application programming interface to access refactoring participants provided by JDT.
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.
org.eclipse.jdt.junit.wizards
Application programming interfaces to implement wizards to create new JUnit testcases.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.actions
Application programming interfaces for Eclipse Java User Interface specific actions.
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.
org.eclipse.jdt.ui.wizards
Application programming interfaces for interaction with the Eclipse Java User Interface wizards.

## Uses of IMethod in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IMethod
Modifier and Type
Method
Description
`IMethod`
IType.`createMethod(String contents, IJavaElement sibling, boolean force, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates and returns a method or constructor in this type with the given contents.
`IMethod[]`
IType.`findMethods(IMethod method)`
Finds the methods in this type that correspond to the given method.
`IMethod`
IType.`getMethod(String name, String[] parameterTypeSignatures)`
Returns the method with the specified name and parameter types in this type (for example, `"foo", {"I", "QString;"}`).
`IMethod[]`
IType.`getMethods()`
Returns the methods and constructors declared by this type.
Methods in org.eclipse.jdt.core with parameters of type IMethod
Modifier and Type
Method
Description
`IMethod[]`
IType.`findMethods(IMethod method)`
Finds the methods in this type that correspond to the given method.
`boolean`
IMethod.`isSimilar(IMethod method)`
Returns whether this method is similar to the given method.

## Uses of IMethod in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type IMethod
Modifier and Type
Method
Description
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, String methodName, String[] paramNames, String[] excTypeSig, String retTypeSig, String[] typeParameterNames, IMethod overridden, String lineDelimiter)`
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, String methodName, String[] paramNames, String[] excTypeSig, String retTypeSig, IMethod overridden, String lineDelimiter)`
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`static String`
CodeGeneration.`getMethodComment(IMethod method, IMethod overridden, String lineDelimiter)`
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).

## Uses of IMethod in org.eclipse.jdt.core.refactoring.descriptors

Methods in org.eclipse.jdt.core.refactoring.descriptors that return IMethod
Modifier and Type
Method
Description
`IMethod`
IntroduceParameterObjectDescriptor.`getMethod()`
The method the refactoring will operate on.
Methods in org.eclipse.jdt.core.refactoring.descriptors with parameters of type IMethod
Modifier and Type
Method
Description
`static IntroduceParameterObjectDescriptor.Parameter[]`
IntroduceParameterObjectDescriptor.`createParameters(IMethod method)`
Creates the parameters for this method.
`void`
IntroduceParameterObjectDescriptor.`setMethod(IMethod method)`
Sets the method.

## Uses of IMethod in org.eclipse.jdt.core.refactoring.participants

Methods in org.eclipse.jdt.core.refactoring.participants with parameters of type IMethod
Modifier and Type
Method
Description
`static ChangeMethodSignatureParticipant[]`
JavaParticipantManager.`loadChangeMethodSignatureParticipants(org.eclipse.ltk.core.refactoring.RefactoringStatus status, org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor processor, IMethod method, ChangeMethodSignatureArguments arguments, org.eclipse.ltk.core.refactoring.participants.IParticipantDescriptorFilter filter, String[] affectedNatures, org.eclipse.ltk.core.refactoring.participants.SharableParticipants shared)`
Loads the change method signature participants for the given element.

## Uses of IMethod in org.eclipse.jdt.core.search

Methods in org.eclipse.jdt.core.search that return IMethod
Modifier and Type
Method
Description
`abstract IMethod`
MethodNameMatch.`getMethod()`
Returns a java model method handle.
Methods in org.eclipse.jdt.core.search with parameters of type IMethod
Modifier and Type
Method
Description
`static MethodNameMatch`
SearchEngine.`createMethodNameMatch(IMethod method, int modifiers)`
Create a method name match on a given method with specific modifiers.

## Uses of IMethod in org.eclipse.jdt.junit.wizards

Methods in org.eclipse.jdt.junit.wizards that return IMethod
Modifier and Type
Method
Description
`IMethod[]`
NewTestCaseWizardPageTwo.`getAllMethods()`
Returns all the methods in the methods tree.
`IMethod[]`
NewTestCaseWizardPageTwo.`getCheckedMethods()`
Returns all checked methods in the methods tree.

## Uses of IMethod in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IMethod
Modifier and Type
Method
Description
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, String methodName, String[] paramNames, String[] excTypeSig, String retTypeSig, String[] typeParameterNames, IMethod overridden, String lineDelimiter)`
Deprecated.
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, String methodName, String[] paramNames, String[] excTypeSig, String retTypeSig, IMethod overridden, String lineDelimiter)`
Deprecated.
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`static String`
CodeGeneration.`getMethodComment(IMethod method, IMethod overridden, String lineDelimiter)`
Deprecated.
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`static void`
JavaElementLabels.`getMethodLabel(IMethod method, long flags, StringBuffer buf)`
Appends the label for a method to a `StringBuffer`.
`static void`
JavaElementLabels.`getMethodLabel(IMethod method, long flags, org.eclipse.jface.viewers.StyledString result)`
Appends the label for a method to a `StyledString`.
`protected int`
OverrideIndicatorLabelDecorator.`getOverrideIndicators(IMethod method)`
Note: This method is for internal use only.

## Uses of IMethod in org.eclipse.jdt.ui.actions

Methods in org.eclipse.jdt.ui.actions with parameters of type IMethod
Modifier and Type
Method
Description
`void`
OpenSuperImplementationAction.`run(IMethod method)`

## Uses of IMethod in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type IMethod
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(IMethod method, String newName, int flags)`
Creates a new rename support for the given `IMethod`.

## Uses of IMethod in org.eclipse.jdt.ui.wizards

Methods in org.eclipse.jdt.ui.wizards that return IMethod
Modifier and Type
Method
Description
`protected IMethod[]`
NewTypeWizardPage.`createInheritedMethods(IType type, boolean doConstructors, boolean doUnimplementedMethods, NewTypeWizardPage.ImportsManager imports, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates the bodies of all unimplemented methods and constructors and adds them to the type.
`protected IMethod`
NewTypeWizardPage.`createMainMethod(IType type, NewTypeWizardPage.ImportsManager imports)`
Creates the stub for 'public static void main(String[] args)' method